Bug 144369 - gcc crash compiling source with mem_fun
gcc crash compiling source with mem_fun
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: 147248 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-01-06 10:43 EST by Igor Kholodov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-07 08:23:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preprocessed source (273.07 KB, text/plain)
2005-01-06 10:45 EST, Igor Kholodov
no flags Details
C++ source to reproduce the bug (1.50 KB, text/plain)
2005-01-06 10:47 EST, Igor Kholodov
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 19311 None None None Never

  None (edit)
Description Igor Kholodov 2005-01-06 10:43:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
trying to compile the following code generates internal compiler
error: in resolve_overloaded_unification, at cp/pt.c:9309. See
attached files.

Version-Release number of selected component (if applicable):
gcc (GCC) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)

How reproducible:

Steps to Reproduce:
g++ -g -Wall -c -o main.o gcc_bug.cpp

Actual Results:  [cttl@localhost test]$ g++ -g -Wall -c -o main.o
gcc_bug.cpp: In member function `size_t
lexer<ParserT>::grammar(typename ParserT::universe_T&)':
gcc_bug.cpp:57: internal compiler error: in
resolve_overloaded_unification, at cp/pt.c:9309
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccZaRYjH.out file, please attach
this to your bugreport.

Expected Results:  attached sample code also contains code to work
around the problem.

Additional info:

this is reproducible accross other platforms, e.g. mingw gcc 3.4.2 on
windows XP has same behavior. have not tried with earlier versions of
gcc, though.
Comment 1 Igor Kholodov 2005-01-06 10:45:58 EST
Created attachment 109426 [details]
Preprocessed source
Comment 2 Igor Kholodov 2005-01-06 10:47:10 EST
Created attachment 109427 [details]
C++ source to reproduce the bug
Comment 3 Jakub Jelinek 2005-01-07 08:23:02 EST
Tracked upstream: http://gcc.gnu.org/PR19311
Comment 4 Jakub Jelinek 2005-02-08 13:52:10 EST
*** Bug 147248 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.